Imports System.Collections.ObjectModel
Imports System.IO
Imports System.Windows
Imports EgtUILib
Imports EgtWPFLib5

Public Class MachGroupVM
   Inherits VMBase

   Protected m_MachGroupM As MachGroupM
   Public ReadOnly Property MachGroupM As MachGroupM
      Get
         Return m_MachGroupM
      End Get
   End Property

   Public ReadOnly Property Id As Integer
      Get
         Return m_MachGroupM.Id
      End Get
   End Property

   Public ReadOnly Property Name As String
      Get
         Return m_MachGroupM.Name
      End Get
   End Property

   Public ReadOnly Property Machine As String
      Get
         Return m_MachGroupM.Machine
      End Get
   End Property

   Public Property IsEnabled As Boolean
      Get
         Return m_MachGroupM.IsEnabled
      End Get
      Set(value As Boolean)
         m_MachGroupM.IsEnabled = value
         NotifyPropertyChanged(NameOf(IsEnabled))
      End Set
   End Property

#Region "ToolTip"

   Public Overridable ReadOnly Property MachGroupToolTip As String
      Get
         Return "Name: " & m_MachGroupM.Name & Environment.NewLine &
                "Machine: " & m_MachGroupM.Machine
      End Get
   End Property

#End Region    ' ToolTip

   Sub New(MachGroupM As MachGroupM)
      m_MachGroupM = MachGroupM
   End Sub

End Class